Contents

# Add-in Functions, List of Analysis Functions Part Two

The Add-in functions are supplied by the UNO com.sun.star.sheet.addin.Analysis service.

To access this command...

Insert - Function - Category Add-In

## IMCOS

Returns the cosine of a complex number.

## IMCOSH

Returns the hyperbolic cosine of a complex number.

## IMCOT

Returns the cotangent of a complex number.

## IMCSC

Returns the cosecant of a complex number.

## IMCSCH

Returns the hyperbolic cosecant of a complex number.

## IMSEC

Returns the secant of a complex number.

## IMSECH

Returns the hyperbolic secant of a complex number.

## IMSIN

Returns the sine of a complex number.

## IMSINH

Returns the hyperbolic sine of a complex number.

## IMTAN

Returns the tangent of a complex number.

## CONVERT

Converts a value from one unit of measurement to the corresponding value in another unit of measurement.

## COMPLEX

The result is a complex number which is returned from a real coefficient and an imaginary coefficient.

#### Syntax

COMPLEX(RealNum; INum [; Suffix])

RealNum is the real coefficient of the complex number.

INum is the imaginary coefficient of the complex number.

Suffix is a list of options, "i" or "j".

#### Example

=COMBIN(3;2) vraća 3.

## FACTDOUBLE

Returns the double factorial of a number.

#### Syntax

FACTDOUBLE(Number)

Returns Number !!, the double factorial of Number, where Number is an integer greater than or equal to zero.

For even numbers FACTDOUBLE(n) returns:

2*4*6*8* ... *n

For odd numbers FACTDOUBLE(n) returns:

1*3*5*7* ... *n

FACTDOUBLE(0) returns 1 by definition.

#### Example

=FACT(0) vraća 1.

=FACT(0) vraća 1.

=FACT(0) vraća 1.

## IMABS

The result is the absolute value of a complex number.

#### Syntax

IMABS("ComplexNumber")

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

#### Example

=ABS(0) vraća 0.

## IMAGINARY

The result is the imaginary coefficient of a complex number.

#### Syntax

IMAGINARY("ComplexNumber")

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

#### Example

=COMBIN(3;2) vraća 3.

## IMARGUMENT

The result is the argument (the phi angle) of a complex number.

#### Syntax

IMARGUMENT("ComplexNumber")

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

#### Example

=FACT(0) vraća 1.

## IMCONJUGATE

The result is the conjugated complex complement to a complex number.

#### Syntax

IMCONJUGATE("ComplexNumber")

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

#### Example

=INT(-1.3) vraća -2.

## IMDIV

The result is the division of two complex numbers.

#### Syntax

IMDIV("Numerator"; "Denominator")

Numerator, Denominator are complex numbers that are entered in the form "x+yi" or "x+yj".

#### Example

=IMDIV("-238+240i";"10+24i") returns 5+12i.

## IMEXP

The result is the power of e and the complex number. The constant e has a value of approximately 2.71828182845904.

#### Syntax

IMEXP("ComplexNumber")

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

#### Example

=IMEXP("1+j") returns 1.47+2.29j (rounded).

## IMLN

The result is the natural logarithm (to the base e) of a complex number. The constant e has a value of approximately 2.71828182845904.

#### Syntax

IMLN("ComplexNumber")

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

#### Example

=IMLN("1+j") returns 0.35+0.79j (rounded).

## IMLOG10

The result is the common logarithm (to the base 10) of a complex number.

#### Syntax

IMLOG10("ComplexNumber")

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

#### Example

=IMLOG10("1+j") returns 0.15+0.34j (rounded).

## IMLOG2

The result is the binary logarithm of a complex number.

#### Syntax

IMLOG2("ComplexNumber")

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

#### Example

=IMLOG2("1+j") returns 0.50+1.13j (rounded).

## IMPOWER

The result is the ComplexNumber raised to the power of Number.

#### Syntax

IMPOWER("ComplexNumber"; Number)

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

Number is the exponent.

#### Example

=FACT(0) vraća 1.

## IMPRODUCT

The result is the product of a set of complex numbers.

#### Syntax

IMPRODUCT(Complex 1 [; Complex 2 [; … [; Complex 255]]])

Complex 1; Complex 2; … ; Complex 255 are complex numbers, references to cells or to cell ranges of complex numbers. Complex numbers are entered in the form "x+yi" or "x+yj".

#### Example

=ODD(-3.1) vraća -5.

## IMREAL

The result is the real coefficient of a complex number.

#### Syntax

IMREAL("ComplexNumber")

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

#### Example

=ODD(-3.1) vraća -5.

## IMSQRT

The result is the square root of a complex number.

#### Syntax

IMSQRT("ComplexNumber")

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

#### Example

=FACT(0) vraća 1.

## IMSUB

The result is the subtraction of two complex numbers.

#### Syntax

IMSUB("ComplexNumber1"; "ComplexNumber2")

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

#### Example

=ODD(-3.1) vraća -5.

## IMSUM

The result is the sum of a set of complex numbers.

#### Syntax

IMSUM(Complex 1 [; Complex 2 [; … [; Complex 255]]])

Complex 1; Complex 2; … ; Complex 255 are complex numbers, references to cells or to cell ranges of complex numbers. Complex numbers are entered in the form "x+yi" or "x+yj".

#### Example

=ODD(-3.1) vraća -5.

## OCT2BIN

The result is the string representing the number in binary (base-2) form for the octal number string entered.

#### Syntax

OCT2BIN(Number [; Places])

Number is a string that represents an octal number. It can have a maximum of 10 places. The most significant bit is the sign bit, the following bits return the value. Negative numbers are entered as two's complement.

Places is the number of places to be output.

#### Example

=OCT2BIN("3";3) returns "011".

## OCT2DEC

The result is the number for the octal number string entered.

#### Syntax

OCT2DEC(Number)

Number is a string that represents an octal number. It can have a maximum of 10 places. The most significant bit is the sign bit, the following bits return the value. Negative numbers are entered as two's complement.

#### Example

=OCT2DEC("144") returns 100.

## OCT2HEX

The result is the string representing the number in hexadecimal form for the octal number string entered.

#### Syntax

OCT2HEX(Number [; Places])

Number is a string that represents an octal number. It can have a maximum of 10 places. The most significant bit is the sign bit, the following bits return the value. Negative numbers are entered as two's complement.

Places is the number of places to be output.

#### Example

=OCT2HEX("144";4) returns "0064".

Related Topics

Add-in Functions

Add-in Functions, List of Analysis Functions Part One

Statistics Functions

Functions by Category

Please support us!